Difference between revisions of "Std Redo"

From FreeCAD Documentation
Jump to navigation Jump to search
 
(12 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{UnfinishedDocu{{#translation:}}}}
 
 
<translate>
 
<translate>
  
 
<!--T:8-->
 
<!--T:8-->
 
{{Docnav
 
{{Docnav
|[[Std_Undo|Undo]]
+
|[[Std_Undo|Std Undo]]
|[[Std_Cut|Cut]]
+
|[[Std_Cut|Std Cut]]
 
|[[Std_Edit_Menu|Std Edit Menu]]
 
|[[Std_Edit_Menu|Std Edit Menu]]
 
|IconL=Std_Undo.svg
 
|IconL=Std_Undo.svg
 +
|IconR=Std_Cut.svg
 
|IconC=Freecad.svg
 
|IconC=Freecad.svg
|IconR=Std_Cut.svg
 
 
}}
 
}}
  
Line 16: Line 15:
 
{{GuiCommand
 
{{GuiCommand
 
|Name=Std Redo
 
|Name=Std Redo
|MenuLocation={{StdMenu|[[Std_Edit_Menu|Edit]]}} Redo‏‎
+
|MenuLocation=Edit → Redo
 
|Workbenches=All
 
|Workbenches=All
 
|Shortcut={{KEY|Ctrl}}+{{KEY|Y}}
 
|Shortcut={{KEY|Ctrl}}+{{KEY|Y}}
|SeeAlso=[[Std_Undo|Undo]]
+
|SeeAlso=[[Std_Undo|Std Undo]]
 
}}
 
}}
  
==Description== <!--T:2-->
+
==Description== <!--T:13-->
Redoes a previous undone operation.
+
 
 +
<!--T:2-->
 +
The '''Std Redo''' command reverses the action of the [[Std_Undo|Std Undo]] command.
  
 
==Usage== <!--T:3-->
 
==Usage== <!--T:3-->
  
 
<!--T:6-->
 
<!--T:6-->
# There are several ways to invoke the Redo command:
+
# There are several ways to invoke the command:
#* Pressing on the [[Image:Std_Redo.svg|16px]] button in the toolbar
+
#* Press the {{Button|[[Image:Std_Redo.svg|16px]] [[Std_Redo|Std Redo]]}} button.
#* Using the {{MenuCommand|{{StdMenu|[[Std_Edit_Menu|Edit]]}} → [[Image:Std_Redo.svg|16px]] Redo}} entry from the top menu.
+
#* Select the {{MenuCommand|Edit → [[Image:Std_Redo.svg|16px]] Redo}} option from the menu.
#* Using the {{KEY|Ctrl}}+{{KEY|Y}} keyboard shortcut
+
#* Use the keyboard shortcut: {{KEY|Ctrl}}+{{KEY|Y}}.
  
==Limitations== <!--T:10-->
+
==Options== <!--T:14-->
  
==Scripting== <!--T:11-->
+
<!--T:15-->
 +
* To redo multiple actions click on the black down arrow to the right of the {{Button|[[Image:Std_Redo.svg|16px]] [[Std_Redo|Std Redo]]}} button and select from the list.
 +
 
 +
==Preferences== <!--T:16-->
 +
 
 +
<!--T:17-->
 +
* The Undo/Redo functionality can be disabled by setting {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo}} to {{FALSE}}, but this is not recommended. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].
 +
* The maximum number of Undo/Redo steps is controlled by {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize}}. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].
 +
 
 +
==Scripting== <!--T:18-->
 +
 
 +
<!--T:19-->
 +
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
 +
 
 +
<!--T:20-->
 +
To redo an action that has just been undone use the {{incode|redo}} method of the document object.
 +
 
 +
</translate>
 +
{{Code|code=
 +
import FreeCAD
 +
 
 +
FreeCAD.ActiveDocument.redo()
 +
}}
 +
<translate>
  
 
<!--T:9-->
 
<!--T:9-->
 
{{Docnav
 
{{Docnav
|[[Std_Undo|Undo]]
+
|[[Std_Undo|Std Undo]]
|[[Std_Cut|Cut]]
+
|[[Std_Cut|Std Cut]]
 
|[[Std_Edit_Menu|Std Edit Menu]]
 
|[[Std_Edit_Menu|Std Edit Menu]]
 
|IconL=Std_Undo.svg
 
|IconL=Std_Undo.svg
 +
|IconR=Std_Cut.svg
 
|IconC=Freecad.svg
 
|IconC=Freecad.svg
|IconR=Std_Cut.svg
 
 
}}
 
}}
 
<!--T:7-->
 
{{Std Base navi}}
 
 
<!--T:12-->
 
{{Userdocnavi}}
 
  
 
</translate>
 
</translate>
 +
{{Std Base navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 
{{clear}}
 
{{clear}}

Latest revision as of 10:47, 24 March 2020

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: Std Undo.svg Std Undo
Next: Std Cut Std Cut.svg Arrow-right.svg

Std Redo.svg Std Redo

Menu location
Edit → Redo
Workbenches
All
Default shortcut
Ctrl+Y
Introduced in version
-
See also
Std Undo


Description

The Std Redo command reverses the action of the Std Undo command.

Usage

  1. There are several ways to invoke the command:
    • Press the Std Redo.svg Std Redo button.
    • Select the Edit → Std Redo.svg Redo option from the menu.
    • Use the keyboard shortcut: Ctrl+Y.

Options

  • To redo multiple actions click on the black down arrow to the right of the Std Redo.svg Std Redo button and select from the list.

Preferences

  • The Undo/Redo functionality can be disabled by setting Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo to False, but this is not recommended. This setting can also be changed in the Preferences Editor.
  • The maximum number of Undo/Redo steps is controlled by Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize. This setting can also be changed in the Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To redo an action that has just been undone use the redo method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.redo()
Arrow-left.svg Previous: Std Undo.svg Std Undo
Next: Std Cut Std Cut.svg Arrow-right.svg